import unittest
import sys
for path in ['../', './']:
    sys.path.insert(1, path)

# python -m unittest discover
from processing.clustering.clustering_config import ClusteringConfig

class TestClusteringConfig(unittest.TestCase):
    
    def setUp(self):
        self.clustering_config = ClusteringConfig()

    def test_get_layer_configs_noneInput_noneOutput(self):
        for layer_config in self.clustering_config.get_layer_configs():
            self.assertIn('layer-name', layer_config)

if __name__ == '__main__':
    unittest.main()
